PDA

Visualizza la versione completa : Errore compilazione samsung manager


arrows
07-09-2007, 11:33
ho scaricato il samsung manager versione 0.1.1
Scompattato in una cartella, ho dato ./configure, e li nessun errore.
Al momento di dare il comando make restituisce questo output

make all-recursive
make[1]: Entering directory `/home/arrows/samsung-manager-yh820-0.1.1'
Making all in data
make[2]: Entering directory `/home/arrows/samsung-manager-yh820-0.1.1/data'
LC_ALL=C ../intltool-merge -d -u -c ../po/.intltool-merge-cache ../po samsung-manager-yh820.desktop.in samsung-manager-yh820.desktop
Generating and caching the translation database
Merging translations into samsung-manager-yh820.desktop.
make[2]: Leaving directory `/home/arrows/samsung-manager-yh820-0.1.1/data'
Making all in po
make[2]: Entering directory `/home/arrows/samsung-manager-yh820-0.1.1/po'
file=`echo it | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file it.po
make[2]: Leaving directory `/home/arrows/samsung-manager-yh820-0.1.1/po'
Making all in src
make[2]: Entering directory `/home/arrows/samsung-manager-yh820-0.1.1/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DDATADIR=\""/usr/local/share/samsung-manager-yh820/"\" -DDBUS_API_SUBJECT_TO_CHANGE -DORBIT2=1 -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hal -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-keyring-1 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gstreamer-0.10 -Wall -g -O2 -MT audio-converter.o -MD -MP -MF ".deps/audio-converter.Tpo" -c -o audio-converter.o audio-converter.c; \
then mv -f ".deps/audio-converter.Tpo" ".deps/audio-converter.Po"; else rm -f ".deps/audio-converter.Tpo"; exit 1; fi
audio-converter.c: In function ‘print_position_cb’:
audio-converter.c:88: warning: passing argument 1 of ‘gst_element_query_position’ from incompatible pointer type
audio-converter.c:89: warning: passing argument 1 of ‘gst_element_query_duration’ from incompatible pointer type
audio-converter.c:91: warning: format ‘%u’ expects type ‘unsigned int’, but argument 2 has type ‘gint64’
audio-converter.c:91: warning: format ‘%u’ expects type ‘unsigned int’, but argument 3 has type ‘gint64’
audio-converter.c: In function ‘audio_converter_new’:
audio-converter.c:126: warning: assignment from incompatible pointer type
audio-converter.c:108: warning: unused variable ‘typefind’
audio-converter.c: In function ‘audio_converter_instance_init’:
audio-converter.c:202: warning: unused variable ‘self’
audio-converter.c: In function ‘audio_converter_class_init’:
audio-converter.c:210: warning: unused variable ‘klass’
audio-converter.c: At top level:
audio-converter.c:44: warning: ‘idle_exit_loop’ defined but not used
audio-converter.c: In function ‘print_position_cb’:
audio-converter.c:82: warning: ‘progressbar’ is used uninitialized in this function
audio-converter.c:83: warning: ‘pipeline’ is used uninitialized in this function
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DDATADIR=\""/usr/local/share/samsung-manager-yh820/"\" -DDBUS_API_SUBJECT_TO_CHANGE -DORBIT2=1 -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hal -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-keyring-1 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gstreamer-0.10 -Wall -g -O2 -MT audio-metadata.o -MD -MP -MF ".deps/audio-metadata.Tpo" -c -o audio-metadata.o audio-metadata.c; \
then mv -f ".deps/audio-metadata.Tpo" ".deps/audio-metadata.Po"; else rm -f ".deps/audio-metadata.Tpo"; exit 1; fi
audio-metadata.c:22:29: error: gst/audio/audio.h: Nessun file o directory
make[2]: *** [audio-metadata.o] Error 1
make[2]: Leaving directory `/home/arrows/samsung-manager-yh820-0.1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/arrows/samsung-manager-yh820-0.1.1'
make: *** [all] Error 2



Cosa sbaglio?

francofait
07-09-2007, 11:56
Requirements:

· GTK+ version 2.6.x
· DBus 0.6
· HAL 0.5.7
· GStreamer 0.10 Glib 2.6.0
· libglade 2.0.0
· ligbnomeui 2.14
· gnome-vfs 2.14

arrows
07-09-2007, 12:09
Dovrei cercarle con synaptic?
Perchè inserendo per esempio gnome-vfs 2.14 non esce niente, se invece inserisco gnome-vfs escono moltissime librerie. Qual'è il metodo per cercare quelle giuste?

francofait
07-09-2007, 12:28
Originariamente inviato da arrows
Dovrei cercarle con synaptic?
Perchè inserendo per esempio gnome-vfs 2.14 non esce niente, se invece inserisco gnome-vfs escono moltissime librerie. Qual'è il metodo per cercare quelle giuste?

da google ricerca , metti nome-versione lib e distro come chiavica di ricerca.
Con google trovi tutto , se hai perso la morosa ritrovi anche quella
:D :D :D :D

Loading